* Slot
* Mixin
* Directives
	v-:
	v-if, v-else, v-model, v-show

	directive('name', {
		bind: function(el, binding, vnode) {

		},
		udpate: function(el, binding, vnode) {
			
		}
	})

* VueCli

Nuxt Js
